io.vertx.redis.op

## Enum AggregateOptions

- java.lang.Object
- - java.lang.Enum<AggregateOptions>
  - - io.vertx.redis.op.AggregateOptions

- All Implemented Interfaces:
    Serializable, Comparable<AggregateOptions>

      public enum AggregateOptions
      extends Enum<AggregateOptions>

  Author:
    Marko Strukelj

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAX`
    `MIN`
    `NONE`
    `SUM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonArray` | `toJsonArray()`
    `static AggregateOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AggregateOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AggregateOptions NONE

    - #### SUM

          public static final AggregateOptions SUM

    - #### MIN

          public static final AggregateOptions MIN

    - #### MAX

          public static final AggregateOptions MAX

  - ### Method Detail

    - #### values

          public static AggregateOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AggregateOptions c : AggregateOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AggregateOptions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toJsonArray

          public JsonArray toJsonArray()

Copyright © 2016. All rights reserved.